Name:          sablecc
Version:       3.2
Release:       %mkrel 3
Summary:       Sable Research Group's Compiler Compiler
Group:         Development/Java
License:       LGPLv2+
URL:           http://sablecc.org
Source0:       http://downloads.sourceforge.net/project/sablecc/SableCC/3.2/sablecc-3.2.zip
Source1:       http://repo1.maven.org/maven2/sablecc/sablecc/3.2/sablecc-3.2.pom
Patch0:        sablecc-3.2-javadoc.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel >= 1.6.0

BuildRequires: ant

Requires:      jpackage-utils
Requires:      java >= 1.6.0
BuildArch:     noarch

%description
SableCC is an object-oriented framework that generates compilers (and
interpreters) in the Java programming language. This framework is based
on two fundamental design decisions. Firstly, the framework uses
object-oriented techniques to automatically build a strictly typed
abstract syntax tree that matches the grammar of the compiled language
and simplifies debugging. Secondly, the framework generates tree-walker
classes using an extended version of the visitor design pattern which
enables the implementation of actions on the nodes of the abstract
syntax tree using inheritance. These two design decisions lead to a tool
that supports a shorter development cycle for constructing compilers.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q 
%patch0 -p0

tar xzf %{name}-anttask-1.0.1.tar.gz
find -name "*.class" -type f -exec rm -f {} \;
find -name "*.jar" -type f -exec rm -f {} \;
rm %{name}-anttask-1.0.1.tar.gz

%build

pushd %{name}-anttask-1.0.1
ant 
mkdir -p ../classes/org/sablecc/ant/taskdef/
cp classes/org/sablecc/ant/taskdef/Sablecc.class ../classes/org/sablecc/ant/taskdef/
popd

ant -Dsablecc-anttask_available=true jar javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 lib/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%jpackage_script org.sablecc.sablecc.SableCC %{nil} %{nil} %{name} %{name}

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_bindir}/%{name}
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE README.html ChangeLog AUTHORS COPYING-LESSER THANKS
%doc doc/*

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.2-3.mga4
+ Revision: 518266
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.2-2.mga3
+ Revision: 381642
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 gil <gil> 3.2-1.mga3
+ Revision: 218380
- imported package sablecc

